:host {
  width: 100%;
  display: block;
}

ng-select {
  margin: 8px 16px 0;
}

.criterium-type {
  &.brand {
    color: var(--ng-select-criterium-brand);
  }
  &.color {
    color: var(--ng-select-criterium-color);
  }
  &.feature {
    color: var(--ng-select-criterium-feature);
  }
  &.category {
    color: var(--ng-select-criterium-category);
  }
  &.keyword {
    color: var(--ng-select-criterium-keywords);
  }
}

.items-container {
  padding: 20px;
}

mat-card {
  position: relative;
  overflow: hidden;
}

[mat-card-image] {
  overflow: hidden;
  height: 160px;
  position: relative;

  img {
    height: 100%;
    width: auto;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
  }
}

mel-upload-image {
  height: 200px;
  margin-top: 8px;

  &.ng-invalid {
    border: 2px solid var(--warn);
  }
}

.edit-form {
  display: flex;
  flex-direction: column;

  mat-dialog-content {
    flex: 1 1 100vh;
  }

  ng-select {
    margin: 0 0;
  }
}

.photos-container {
  margin-bottom: 16px;
}

.mark-as-draft {
  position: absolute;
  top: 0;
  right: 0;
  padding: 4px 8px;
  width: 150px;
  text-align: center;
  color: #fff;
  background: var(--primary);
  transform: rotate(45deg) translate(25%, -75%);
  font-size: 10px;

  span {
    font-size: 14px;
  }
}

.mark-as-incomplete {
  position: absolute;
  top: 0;
  left: 0;
  padding: 4px 8px;
  width: 150px;
  text-align: center;
  color: #fff;
  background: var(--warn);
  transform: rotate(-45deg) translate(-28%, -75%);
  font-size: 10px;

  span {
    font-size: 14px;
  }
}

.mat-dialog-title {
  h2 {
    margin-bottom: 0;
  }
  p {
    margin: 0;
    font-size: 14px;
    font-weight: normal;
  }
}
